<div class="container">
    <div class="row justify-content-center">
      <div class="col-lg-6">
        <div class="card border-0 shadow-lg">
          <div class="card-body">
            <h2 class="text-center mb-4">Service Request Form</h2>
            <form (ngSubmit)="submitForm(serviceForm.value)" #serviceForm="ngForm" class="needs-validation" novalidate>
              <div class="form-group">
                <label for="full_name">Full Name:</label>
                <input type="text" class="form-control" id="full_name" name="full_name" placeholder="Enter your full name" required minlength="3" [(ngModel)]="formData.full_name" #fullName="ngModel">
                <div class="invalid-feedback">Please provide a valid full name.</div>
              </div>
              <div class="form-group">
                <label for="email">Email Address:</label>
                <input type="email" class="form-control" id="email" name="email" placeholder="Enter your email address" required [(ngModel)]="formData.email" #email="ngModel">
                <div class="invalid-feedback">Please provide a valid email address.</div>
              </div>
              <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="state">State:</label>
                  <select id="state" class="form-control" name="state" required [(ngModel)]="formData.state">
                    <option value="">Select State</option>
                    <option *ngFor="let state of states" [value]="state">{{ state }}</option>
                  </select>
                  <div class="invalid-feedback">Please select a state.</div>
                </div>
                <div class="form-group col-md-6">
                  <label for="city">City:</label>
                  <input type="text" class="form-control" id="city" name="city" placeholder="Enter your city" required [(ngModel)]="formData.city">
                  <div class="invalid-feedback">Please provide a city.</div>
                </div>
              </div>
              <div class="form-group">
                <label for="service_date">Service Date:</label>
                <input type="date" class="form-control" id="service_date" name="service_date" required [(ngModel)]="formData.service_date">
                <div class="invalid-feedback">Please select a service date.</div>
              </div>
              <div class="form-group">
                <label for="motorcycle_model">Motorcycle Model:</label>
                <select id="motorcycle_model" class="form-control" name="motorcycle_model" required [(ngModel)]="formData.motorcycle_model">
                  
                  <option value="model1"> Bajaj Dominar 400</option>
                  <option value="model2">Bajaj Dominar 250</option>
                  <option value="model3">Bajaj Pulsar N250</option>
                  <option value="model4">Bajaj Pulsar F250</option>
                  <option value="model5">Bajaj Pulsar 220F</option>
                  <option value="model6">Bajaj Pulsar RS200</option>
                  <option value="model7">Bajaj Pulsar NS200</option>
                  <option value="model8">Bajaj Pulsar N160</option>
                  <option value="model9">Bajaj Pulsar NS160</option>
                  <option value="model10">Bajaj Pulsar NS150</option>
                  <option value="model11">Bajaj Avenger StreetFighter 150</option>
                  <option value="model12">Bajaj Pulsar 150</option>
                  <option value="model13">Bajaj Pulsar NS125</option>
                  <option value="model14">Bajaj Pulsar 125</option>
                  <option value="model15">Bajaj CT 125X</option>
                  <option value="model16">Bajaj Platina 110</option>
                  <option value="model17">Bajaj Chetak</option>
                  <option value="model18">RC 390</option>
                  <option value="model19">Duke 250</option>
                  <option value="model20">RC 200</option>
                  <option value="model21">Duke 200</option>
                  <option value="model22">Shortgun 650</option>
                  <option value="model23">Hunter 350</option>
                  
                  <!-- Add more models as needed -->
                </select>
                <div class="invalid-feedback">Please select a motorcycle model.</div>
              </div>
              <div class="form-check">
                <input type="checkbox" class="form-check-input" id="terms" name="terms" required >
                <label class="form-check-label" for="terms">I accept the terms and conditions</label>
                <div class="invalid-feedback">You must accept the terms and conditions.</div>
              </div>
              
              <div class="text-center mt-4">
                <button type="submit" class="btn btn-primary btn-lg px-5">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>